rte_swx_table_selector_params(3)

NAME
rte_swx_table_selector_params

SYNOPSIS

#include <rte_swx_table_selector.h>

  Data Fields

uint32_t group_id_offset
uint32_t selector_size
uint32_t selector_offset
uint8_t * selector_mask
uint32_t member_id_offset
uint32_t n_groups_max
uint32_t n_members_per_group_max

Detailed Description

Selector table creation parameters.

Definition at line 25 of file rte_swx_table_selector.h.

Field Documentation

  uint32_t group_id_offset
Group ID offset.

Definition at line 27 of file rte_swx_table_selector.h.

  uint32_t selector_size
Selector size in bytes. Must be non-zero.

Definition at line 30 of file rte_swx_table_selector.h.

  uint32_t selector_offset
Offset of the first byte of the selector within the selector buffer.

Definition at line 33 of file rte_swx_table_selector.h.

  uint8_t* selector_mask
Mask of selector_size bytes logically laid over the bytes at positions selector_offset* .. (selector_offset + selector_size - 1) of the selector buffer in order to specify which bits from the selector buffer are part of the selector and which ones are not. A bit value of 1 in the selector_mask means the respective bit in the selector buffer is part of the selector, while a bit value of 0 means the opposite. A NULL value means that all the bits are part of the selector, i.e. the selector_mask is an all-ones mask.

Definition at line 43 of file rte_swx_table_selector.h.

  uint32_t member_id_offset
Member ID offset.

Definition at line 46 of file rte_swx_table_selector.h.

  uint32_t n_groups_max
Maximum number of groups. Must be non-zero.

Definition at line 49 of file rte_swx_table_selector.h.

  uint32_t n_members_per_group_max
Maximum number of members per group. Must be non-zero.

Definition at line 52 of file rte_swx_table_selector.h.

Author

Generated automatically by Doxygen for DPDK from the source code.